/**
 * Copyright (C) 2008 Mathieu Carbou <mathieu.carbou@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.code.xmltool;

import com.mycila.xmltool.XMLDocBuilder;
import com.mycila.xmltool.XMLTag;
import org.w3c.dom.Node;
import org.xml.sax.InputSource;

import javax.xml.transform.Source;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;

/**
 * @author Mathieu Carbou (mathieu.carbou@gmail.com)
 * @deprecated Do not use: XMLTool has been migrated to com.mycila package. Use instead {@link com.mycila.xmltool.XMLDoc}. This class will be detected in release 3.0
 */
//TODO: 3.0 - Remove deprecated classes
@Deprecated
public final class XMLDoc {

    public static XMLDocBuilder newDocument(boolean ignoreNamespaces) {
        return XMLDocBuilder.newDocument(ignoreNamespaces);
    }

    public static XMLTag from(Node node, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(node, ignoreNamespaces);
    }

    public static XMLTag from(InputSource source, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(source, ignoreNamespaces);
    }

    public static XMLTag from(Reader reader, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(reader, ignoreNamespaces);
    }

    public static XMLTag from(InputStream is, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(is, ignoreNamespaces);
    }

    public static XMLTag from(File file, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(file, ignoreNamespaces);
    }

    public static XMLTag from(URL xmlLocation, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(xmlLocation, ignoreNamespaces);
    }

    public static XMLTag from(String xmlData, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(xmlData, ignoreNamespaces);
    }

    public static XMLTag from(Source source, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(source, ignoreNamespaces);
    }

    public static XMLTag from(XMLTag tag, boolean ignoreNamespaces) {
        return XMLDocBuilder.from(tag, ignoreNamespaces);
    }
}